Subject: bug#53627: 29.0.50; Incorrect installation instructions

From: "H. Dieter Wilhelm" <[email-masked]>
Date: Sat, 29 Jan 2022 23:05:38 +0100

worik <[email-masked]> writes:

> On 30/01/22 10:48, H. Dieter Wilhelm wrote:
>> worik <[email-masked]> writes:
>>
>>> * Downloaded: git clone https://github.com/Stazed/rakarrack-plus.git

What is this, an Emacs repo?

>> Please read INSTALL.REPO in the same directory, it says
>
> I can cope.  I did not need that file.   I was not asking for help.  I
> was reporting a bug.

I'm not sure that this is a bug because in INSTALL it says:

  This file contains general information on building GNU Emacs.
  For more information specific to the MS-Windows, GNUstep/macOS, and
  MS-DOS ports, also read the files nt/INSTALL, nextstep/INSTALL, and
  msdos/INSTALL.  For information about building from a repository checkout
  (rather than a release), also read the file INSTALL.REPO.

Thus INSTALL is for installing from a release source archive and
INSTALL.REPO is for installing Emacs from a source repository.

> Having incorrect installation instructions in a file labeld INSTALL
> and repeating them in a file named README  is a bug.
>
> It is not much help to have the correct instructions in some other file.
>
> cheers
>
> Worik
>
>>
>> 	     Building and Installing Emacs from the Repository
>>
>>    ...
>>    To use the autotools, run the following shell command to generate the
>>    'configure' script and some related files, and to set up your git
>>    configuration:
>>
>>      $ ./autogen.sh
>>
>>    You can then configure your build as follows:
>>
>>      $ ./configure
>>
>>
>>> * Read INSTALL
>>>
>>> * Tells me to run `./configure`
>>>
>>> * That does not exist. README references it too
>>>
>>> * Must run `./autogen.sh` first